# Uses of Enum
org.eclipse.mat.util.IProgressListener.Severity

Packages that use IProgressListener.Severity
Package
Description
org.eclipse.mat.ui.util
Utility classes for toolbars, popup menu, searching on typing - user interface (not API).
org.eclipse.mat.util
Utilities for building results.

## Uses of IProgressListener.Severity in org.eclipse.mat.ui.util

Methods in org.eclipse.mat.ui.util with parameters of type IProgressListener.Severity
Modifier and Type
Method
Description
`void`
ProgressMonitorWrapper.`sendUserMessage(IProgressListener.Severity severity, String message, Throwable exception)`

## Uses of IProgressListener.Severity in org.eclipse.mat.util

Methods in org.eclipse.mat.util that return IProgressListener.Severity
Modifier and Type
Method
Description
`static IProgressListener.Severity`
IProgressListener.Severity.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static IProgressListener.Severity[]`
IProgressListener.Severity.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.mat.util with parameters of type IProgressListener.Severity
Modifier and Type
Method
Description
`void`
ConsoleProgressListener.`sendUserMessage(IProgressListener.Severity severity, String message, Throwable exception)`
`void`
IProgressListener.`sendUserMessage(IProgressListener.Severity severity, String message, Throwable exception)`
Sends a message to the user.
`void`
SilentProgressListener.`sendUserMessage(IProgressListener.Severity severity, String message, Throwable exception)`
`void`
SimpleMonitor.Listener.`sendUserMessage(IProgressListener.Severity severity, String message, Throwable exception)`
`void`
VoidProgressListener.`sendUserMessage(IProgressListener.Severity severity, String message, Throwable exception)`
Does nothing
`void`
WrappedLoggingProgressListener.`sendUserMessage(IProgressListener.Severity severity, String message, Throwable exception)`